/*
 * Copyright (C) 2010 SENJU Jiro
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */


#ifndef __PH_SIGNALFD_H__
#define __PH_SIGNALFD_H__

#if 0
#include <sys/signalfd.h>
#else
typedef unsigned char __u8;
typedef int __s32;
typedef unsigned int __u32;
typedef unsigned long long __u64;
#include <linux/signalfd.h>
#endif

#include <signal.h>

extern int signalfd(int fd, const sigset_t *mask, int flags);

#endif /* __PH_SIGNALFD_H__ */
